Unverified Commit 58d3ec40 authored by Gavin Wood's avatar Gavin Wood Committed by GitHub
Browse files

Bump versions (#736)

* Fix up Kusama balance constants

* Bump versions

* Fix for the --dev option
parent cc53599f
Pipeline #73740 passed with stages
in 19 minutes and 58 seconds
......@@ -11,11 +11,11 @@ dependencies = [
[[package]]
name = "adder"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"dlmalloc 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.13",
"polkadot-parachain 0.7.14",
"sp-io 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-wasm-builder-runner 1.0.4 (registry+https://github.com/rust-lang/crates.io-index)",
"tiny-keccak 1.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -25,14 +25,14 @@ dependencies = [
name = "adder-collator"
version = "0.1.0"
dependencies = [
"adder 0.7.13",
"adder 0.7.14",
"ctrlc 3.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-collator 0.7.13",
"polkadot-parachain 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-collator 0.7.14",
"polkadot-parachain 0.7.14",
"polkadot-primitives 0.7.14",
"sc-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-core 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1109,7 +1109,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "fork-tree"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -1117,7 +1117,7 @@ dependencies = [
[[package]]
name = "frame-executive"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1131,7 +1131,7 @@ dependencies = [
[[package]]
name = "frame-metadata"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1142,7 +1142,7 @@ dependencies = [
[[package]]
name = "frame-support"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"bitmask 0.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-metadata 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1166,7 +1166,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support-procedural-tools 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1177,7 +1177,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support-procedural-tools-derive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1189,7 +1189,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools-derive"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
"quote 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1199,7 +1199,7 @@ dependencies = [
[[package]]
name = "frame-system"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1216,7 +1216,7 @@ dependencies = [
[[package]]
name = "frame-system-rpc-runtime-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1529,7 +1529,7 @@ dependencies = [
[[package]]
name = "grafana-data-source"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"async-std 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"chrono 0.4.9 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1582,7 +1582,7 @@ dependencies = [
[[package]]
name = "halt"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"substrate-wasm-builder-runner 1.0.4 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -2031,7 +2031,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-executive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2066,9 +2066,9 @@ dependencies = [
"pallet-treasury 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-utility 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-runtime-common 0.7.13",
"polkadot-parachain 0.7.14",
"polkadot-primitives 0.7.14",
"polkadot-runtime-common 0.7.14",
"rustc-hex 2.0.1 (registry+https://github.com/rust-lang/crates.io-index)",
"safe-mix 1.0.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2991,7 +2991,7 @@ dependencies = [
[[package]]
name = "pallet-authority-discovery"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3009,7 +3009,7 @@ dependencies = [
[[package]]
name = "pallet-authorship"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3026,7 +3026,7 @@ dependencies = [
[[package]]
name = "pallet-babe"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3047,7 +3047,7 @@ dependencies = [
[[package]]
name = "pallet-balances"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3061,7 +3061,7 @@ dependencies = [
[[package]]
name = "pallet-collective"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3077,7 +3077,7 @@ dependencies = [
[[package]]
name = "pallet-democracy"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3092,7 +3092,7 @@ dependencies = [
[[package]]
name = "pallet-elections-phragmen"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3105,7 +3105,7 @@ dependencies = [
[[package]]
name = "pallet-finality-tracker"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3121,7 +3121,7 @@ dependencies = [
[[package]]
name = "pallet-grandpa"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3139,7 +3139,7 @@ dependencies = [
[[package]]
name = "pallet-identity"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"enumflags2 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3154,7 +3154,7 @@ dependencies = [
[[package]]
name = "pallet-im-online"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3173,7 +3173,7 @@ dependencies = [
[[package]]
name = "pallet-indices"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3190,7 +3190,7 @@ dependencies = [
[[package]]
name = "pallet-membership"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3204,7 +3204,7 @@ dependencies = [
[[package]]
name = "pallet-nicks"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3218,7 +3218,7 @@ dependencies = [
[[package]]
name = "pallet-offences"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3233,7 +3233,7 @@ dependencies = [
[[package]]
name = "pallet-randomness-collective-flip"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3246,7 +3246,7 @@ dependencies = [
[[package]]
name = "pallet-session"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3265,7 +3265,7 @@ dependencies = [
[[package]]
name = "pallet-staking"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3285,7 +3285,7 @@ dependencies = [
[[package]]
name = "pallet-staking-reward-curve"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3310,7 +3310,7 @@ dependencies = [
[[package]]
name = "pallet-timestamp"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3326,7 +3326,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3339,7 +3339,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"jsonrpc-core 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
"jsonrpc-core-client 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3356,7 +3356,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc-runtime-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3369,7 +3369,7 @@ dependencies = [
[[package]]
name = "pallet-treasury"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3383,7 +3383,7 @@ dependencies = [
[[package]]
name = "pallet-utility"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3680,18 +3680,18 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "polkadot"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"ctrlc 3.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-cli 0.7.13",
"polkadot-service 0.7.13",
"polkadot-cli 0.7.14",
"polkadot-service 0.7.14",
"vergen 3.0.4 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "polkadot-availability-store"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3702,8 +3702,8 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-erasure-coding 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-erasure-coding 0.7.14",
"polkadot-primitives 0.7.14",
"sc-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-keystore 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3718,7 +3718,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"console_error_panic_hook 0.1.6 (registry+https://github.com/rust-lang/crates.io-index)",
"console_log 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3728,7 +3728,7 @@ dependencies = [
"kvdb-web 0.1.1 (registry+https://github.com/rust-lang/crates.io-index)",
"libp2p 0.13.2 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-service 0.7.13",
"polkadot-service 0.7.14",
"rand 0.6.5 (registry+https://github.com/rust-lang/crates.io-index)",
"rand 0.7.2 (registry+https://github.com/rust-lang/crates.io-index)",
"sc-cli 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3742,16 +3742,16 @@ dependencies = [
[[package]]
name = "polkadot-collator"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"futures-timer 1.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-cli 0.7.13",
"polkadot-network 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-service 0.7.13",
"polkadot-validation 0.7.13",
"polkadot-cli 0.7.14",
"polkadot-network 0.7.14",
"polkadot-primitives 0.7.14",
"polkadot-service 0.7.14",
"polkadot-validation 0.7.14",
"sc-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-network 0.8.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3764,11 +3764,11 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"derive_more 0.15.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.7.13",
"polkadot-primitives 0.7.14",
"reed-solomon-erasure 4.0.0 (git+https://github.com/paritytech/reed-solomon-erasure)",
"sp-core 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-trie 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3776,7 +3776,7 @@ dependencies = [
[[package]]
name = "polkadot-network"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"arrayvec 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3784,10 +3784,10 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.7.13",
"polkadot-erasure-coding 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-validation 0.7.13",
"polkadot-availability-store 0.7.14",
"polkadot-erasure-coding 0.7.14",
"polkadot-primitives 0.7.14",
"polkadot-validation 0.7.14",
"sc-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-network 0.8.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-network-gossip 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3800,11 +3800,11 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"adder 0.7.13",
"adder 0.7.14",
"derive_more 0.14.1 (registry+https://github.com/rust-lang/crates.io-index)",
"halt 0.7.13",
"halt 0.7.14",
"lazy_static 1.4.0 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3819,12 +3819,12 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"pallet-babe 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.13",
"polkadot-parachain 0.7.14",
"pretty_assertions 0.5.1 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3840,12 +3840,12 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"jsonrpc-core 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
"pallet-transaction-payment-rpc 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.7.13",
"polkadot-primitives 0.7.14",
"sc-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-rpc 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-runtime 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3855,7 +3855,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-executive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3890,9 +3890,9 @@ dependencies = [
"pallet-transaction-payment-rpc-runtime-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-treasury 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-runtime-common 0.7.13",
"polkadot-parachain 0.7.14",
"polkadot-primitives 0.7.14",
"polkadot-runtime-common 0.7.14",
"rustc-hex 2.0.1 (registry+https://github.com/rust-lang/crates.io-index)",
"safe-mix 1.0.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3920,7 +3920,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3938,8 +3938,8 @@ dependencies = [
"pallet-timestamp 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-treasury 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-parachain 0.7.14",
"polkadot-primitives 0.7.14",
"rustc-hex 2.0.1 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
"serde_derive 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3959,13 +3959,13 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"frame-system-rpc-runtime-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"futures 0.1.29 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"hex-literal 0.2.1 (registry+https://github.com/rust-lang/crates.io-index)",
"kusama-runtime 0.7.13",
"kusama-runtime 0.7.14",
"lazy_static 1.4.0 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"pallet-babe 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3974,12 +3974,12 @@ dependencies = [
"pallet-transaction-payment-rpc-runtime-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.7.13",
"polkadot-network 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-rpc 0.7.13",
"polkadot-runtime 0.7.13",
"polkadot-validation 0.7.13",
"polkadot-availability-store 0.7.14",
"polkadot-network 0.7.14",
"polkadot-primitives 0.7.14",
"polkadot-rpc 0.7.14",
"polkadot-runtime 0.7.14",
"polkadot-validation 0.7.14",
"sc-authority-discovery 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-chain-spec 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4013,16 +4013,16 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.7.13",
"polkadot-primitives 0.7.14",
"sp-core 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "polkadot-validation"
version = "0.7.13"
version = "0.7.14"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"derive_more 0.14.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4033,11 +4033,11 @@ dependencies = [
"pallet-babe 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.7.13",
"polkadot-erasure-coding 0.7.13",
"polkadot-parachain 0.7.13",
"polkadot-primitives 0.7.13",
"polkadot-statement-table 0.7.13",
"polkadot-availability-store 0.7.14",
"polkadot-erasure-coding 0.7.14",
"polkadot-parachain 0.7.14",
"polkadot-primitives 0.7.14",
"polkadot-statement-table 0.7.14",
"sc-block-builder 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-finality-grandpa 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4586,7 +4586,7 @@ dependencies = [
[[package]]
name = "sc-authority-discovery"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"bytes 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4611,7 +4611,7 @@ dependencies = [
[[package]]
name = "sc-block-builder"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4625,7 +4625,7 @@ dependencies = [
[[package]]
name = "sc-chain-spec"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"sc-chain-spec-derive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4640,7 +4640,7 @@ dependencies = [
[[package]]
name = "sc-chain-spec-derive"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4651,7 +4651,7 @@ dependencies = [
[[package]]
name = "sc-cli"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#5b440eb7cc60e9f8c13c47f4e4937055f60a1485"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#de906546bcab2f66a997fe102d2ebd729a193122"
dependencies = [
"ansi_term 0.12.1 (registry+https://github.com/rust-lang/crates.io-index)",
"app_dirs 1.2.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4686,7 +4686,7 @@ dependencies = [
[[package]]
name = "sc-client"
version = "2.0.0"